Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 602927 - RHEL 6 KVM Host crash when running netperf from one RHEL6 guest
RHEL 6 KVM Host crash when running netperf from one RHEL6 guest
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
x86_64 Linux
urgent Severity urgent
: beta
: ---
Assigned To: Herbert Xu
Virtualization Bugs
: TestBlocker
: 603193 603293 604985 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 22:59 EDT by Qianfeng Zhang
Modified: 2013-01-09 17:43 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:40:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libvirt XML for the testing guest (2.04 KB, application/xml)
2010-06-10 23:00 EDT, Qianfeng Zhang
no flags Details
dmesg from the vmcore collected using kdump (5.21 KB, text/plain)
2010-06-10 23:01 EDT, Qianfeng Zhang
no flags Details
Revert "[net] bridge: make bridge support netpoll" (5.66 KB, patch)
2010-06-15 08:16 EDT, Herbert Xu
no flags Details | Diff

  None (edit)
Description Qianfeng Zhang 2010-06-10 22:59:24 EDT
* Description of problem:

  When vhost-net is enabled as a backend on the RHEL6 KVM host,  running netperf on the  RHEL6 guest (again the host) will make the host panic. If 
vhost-net is not loaded, with the same test, the issue doesn't occur.  

   ( the  attached  rhel6-212-g1.xml  is the libvirt XML for the guest, 
      dmesg.txt is the dmesg from the vmcore collected using kdump ) 


* Software  Versions 
   a) On the RHEL6 host

      kernel-2.6.32-31.el6.x86_64
      libvirt-0.8.1-7.el6.x86_64
      qemu-kvm-0.12.1.2-2.68.el6.x86_64

   b) Kernel version on the RHEL6 guest
      kernel-2.6.32-23.el6.x86_64

   c) netperf is from 
      ftp://ftp.netperf.org/netperf/netperf-2.4.5.tar.gz

* The issue is very easy to produce

* To produce

   step 1) on the host
        #> modprobe vhost-net
        #> virsh start  rhel6-212-g1
        #> netserver

   step 2) on the guest
        #> netperf -H 192.168.122.1 -l 180 -t TCP_STREAM -c
   

  


Additional info:
Comment 1 Qianfeng Zhang 2010-06-10 23:00:45 EDT
Created attachment 423120 [details]
libvirt XML for the testing guest
Comment 2 Qianfeng Zhang 2010-06-10 23:01:38 EDT
Created attachment 423121 [details]
dmesg from the vmcore  collected using kdump
Comment 4 RHEL Product and Program Management 2010-06-10 23:23:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Herbert Xu 2010-06-15 08:04:45 EDT
*** Bug 603193 has been marked as a duplicate of this bug. ***
Comment 6 Herbert Xu 2010-06-15 08:06:59 EDT
*** Bug 603293 has been marked as a duplicate of this bug. ***
Comment 8 Herbert Xu 2010-06-15 08:16:44 EDT
Created attachment 424131 [details]
Revert "[net] bridge: make bridge support netpoll"

This patch reverts

commit 460d5c086f08eff12b4c862c9a1c412cda4e8e7e
Author: Amerigo Wang <amwang@redhat.com>
Date:   Sat May 22 09:16:06 2010 -0400

    [net] bridge: make bridge support netpoll

as it introduced a use-after-free bug on the bridge transmit path that affects all bridge users, regardless of whether netpoll is enabled or not.
Comment 9 Herbert Xu 2010-06-17 09:42:33 EDT
*** Bug 604985 has been marked as a duplicate of this bug. ***
Comment 10 Aristeu Rozanski 2010-06-17 11:38:51 EDT
Patch(es) available on kernel-2.6.32-36.el6
Comment 13 Keqin Hong 2010-06-21 03:20:19 EDT
Verified on kernel-2.6.32-37.el6 using steps mentioned in Comment 0, PASS.

host info:
qemu-kvm-0.12.1.2-2.77.el6.x86_64
kernel-2.6.32-37.el6

Also tested according to https://bugzilla.redhat.com/show_bug.cgi?id=603293#c0, no kernel panic either.
Comment 14 Keqin Hong 2010-06-28 22:36:05 EDT
set VERIFIED according to Comment 13
Comment 15 releng-rhel@redhat.com 2010-11-11 10:40:20 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.